{% extends 'base.html' %}
{% load staticfiles %}

{% block content %}

<div class="container-fluid">
  <div class="container container-rescatados-style">
    <h3 style="color: rgb(201, 204, 32);">Listas de Compras</h3>
    <div class="form-group">
        <a class="btn float-right login_btn" style="color: white;background: black;" href="{% url 'lista_crear'  %}">Crear Lista</a>
    </div>
    <br/>
    <br/>
    <br/>
    <div class="row row-rescatados-title">
      <div class="col-md-1 col-rescatados-style">
        Id
      </div>
      <div class="col-md-7 col-rescatados-style">
        Nombre Lista
      </div>
      <div class="col-md-1 col-rescatados-style">
          Detalle
      </div>
      <div class="col-md-1 col-rescatados-style">
            Productos
      </div>
      <div class="col-md-1 col-rescatados-style">
          Editar
        </div>
        <div class="col-md-1 col-rescatados-style">
          Eliminar
        </div>
    </div>
    {% if lista %}
    <ul>
      {% for r in lista %}
      <div class="row row-rescatados-style">
        <div class="col-md-1 col-rescatados-style">
          {{r.id}}
        </div>
        <div class="col-md-7 col-rescatados-style">
          {{r.nombre_lista}}
        </div>
        <div class="col-md-1 col-rescatados-style"> 
            <a href="{% url 'lista_detalle' id=r.id %}">Ver</a>     
        </div> 
        <div class="col-md-1 col-rescatados-style">
            <a href="{% url 'lista_agregar' id=r.id %}">Agregar</a>
        </div>        
      <div class="col-md-1 col-rescatados-style">
          <a href="{% url 'lista_editar' id=r.id %}">Editar</a>
      </div>
        <div class="col-md-1 col-rescatados-style">          
          <a href="{% url 'lista_eliminar' id=r.id %}">Eliminar</a>
      </div>   
      </div>
      {% endfor %}

    </ul>
    {% else %}
    <p>No hay listas</p>
    {% endif %}
  </div>
  {% endblock %}